echo Downloading latest from mercurial repository...
set -e
if [ -d ".hg" ] ; then
        hg up
fi

DEB_SOURCE_PACKAGE=`egrep '^Source: ' debian/control | cut -f 2 -d ' '`
VERSION_UPSTREAM=`dpkg-parsechangelog | grep ^Version: | sed -e 's/^Version:\s*//' -e s/-[^-]*$// -e s/\+hg.*//`
VERSION_DATE=`/bin/date --utc +%0Y%0m%0d`
BUILD=`/bin/date --utc +%H%M`
VERSION_FULL="${VERSION_UPSTREAM}+hg${VERSION_DATE}.${BUILD}"

hg clone http://85.17.209.13:6100/sc ${DEB_SOURCE_PACKAGE}
cd ${DEB_SOURCE_PACKAGE} 
HGBUILD=`hg log -r tip --template '{latesttag}.{latesttagdistance}-{node|short}'`
cd -

ARCHTYPEN="xz:J bz2:j gz:z"
for archtyp in  ${ARCHTYPEN}
do
	arch=`echo $archtyp | cut -d: -f1`
	pack=`echo $archtyp | cut -d: -f2`
	DEBSRCPKGFILE="../${DEB_SOURCE_PACKAGE}_${VERSION_FULL}.orig.tar.${arch}"
	DEBSRCPKGFILEBAK="${DEBSRCPKGFILE}.1"

	if [ -f ${DEBSRCPKGFILE} ] ; then
		mv ${DEBSRCPKGFILE} ${DEBSRCPKGFILEBAK}
	fi

	if [ -f ${DEBSRCPKGFILE} -o -f ${DEBSRCPKGFILEBAK} ] ; then
		echo "$DEBSRCPKGFILE exists";
		echo "$DEBSRCPKGFILEBAK exists";
		continue;
	else
		echo $DEBSRCPKGFILE
		tar --exclude=debian -c${pack}f ${DEBSRCPKGFILE} ${DEB_SOURCE_PACKAGE}
		rm -rf ${DEB_SOURCE_PACKAGE}
		dch -D precise -v "$VERSION_FULL-0yavdr0~0.5~precise" "New upstream snapshot: mercurial ${HGBUILD}"
		break;
	fi
done


